Summary:	Volume control for the Xfce
Summary(de):	Lautstärkekontrolle für Xfce
Name:		xfce4-mixer
Version:	4.11.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
Source1:	xfce4-login-sound.desktop	
Source2:	xfce4-volstatus-icon.desktop
Source3:	xfce4-mixer.desktop
BuildRequires:	xfce4-panel-devel >= %{version}
BuildRequires:	%{_lib}gstreamer-plugins-base0.10-devel
BuildRequires:	xfconf-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}unique-devel
BuildRequires:	%{_lib}xfce4ui-devel
BuildRequires:	libxfce4util-devel
Requires:	xfce4-panel >= %{version}
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	xfce-mixer
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version


%description
The Mixer is a volume control application for the Xfce Desktop Environment.
It provides both a volume control plugin for the Xfce Panel and a standalone 
mixer application.

It supports all audio systems supported by the GStreamer project.

#german
%description -l de
Der Mixer ist ein Lautstärkeregler Programm fürdie Xfce Desktop-Umgebung. 
Er bietet sowohl ein Lautstärke-Plugin für das Xfce-Panel sowie eine eigenständige 
Mixer-Anwendung. 

Es unterstützt alle Audio-Systeme durch das GStreamer-Projekt.

#french
%description -l fr
Le mélangeur est une application de contrôle de volume pour l'environnement de bureau Xfce. 
Elle fournit à la fois un plugin de contrôle du volume pour le Groupe d'Xfce et autonome 
Mélangeur application. 

Il supporte tous les systèmes audio pris en charge par le projet de GStreamer.

#spanish
%description -l es
El mezclador es una aplicación de control de volumen para el entorno de escritorio Xfce. 
Se proporciona un plugin de control de volumen para el panel de Xfce y un independiente 
aplicación de mezcla. 

Es compatible con todos los sistemas de audio soportados por el proyecto de GStreamer.

#polish
%description -l pl
The Mixer is a volume control application for the Xfce Desktop Environment.
It provides both a volume control plugin for the Xfce Panel and a standalone 
mixer application.

#serbian
%description -l sr
Миксер је апликација за контролу јачине звука Ксфце Десктоп окружење. 
То обезбеђује и контролу јачине звука плугин за Ксфце табла и самосталне 
миксер апликације. 

Он подржава све аудио система посетите ову подржан од стране пројекта.

#dutch
%description -l nl
De Mixer is een volumeregelaar aanvraag voor de Xfce Desktop Environment. 
Het biedt zowel een volumeregelaar plugin voor de Xfce Panel en een stand-alone 
mixer toepassing. 

Het ondersteunt alle audio-systemen ondersteund door de GStreamer-project.

%package doc
Summary: 	Documentation for %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}



%prep
%setup -q

%build
./autogen.sh
%configure2_5x

%make

%install
rm -rf %{buildroot}

%makeinstall_std

mkdir -p %{buildroot}/etc/X11/xdg/autostart
install -m 0644 %SOURCE1 %{buildroot}/etc/X11/xdg/autostart/xfce4-login-sound.desktop
install -m 0644 %SOURCE2 %{buildroot}/etc/X11/xdg/autostart/xfce4-volstatus-icon.desktop
install -m 0644 %SOURCE3 %{buildroot}%{_datadir}/applications/xfce4-mixer.desktop

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/xfce*
%{_datadir}/xfce4/panel/plugins/
%{_libdir}/xfce4/panel/plugins/
%{_datadir}/%{name}
%{_datadir}/pixmaps/xfce4-mixer/*.png
%{_sysconfdir}/X11/xdg/autostart/xfce4-login-sound.desktop
%{_sysconfdir}/X11/xdg/autostart/xfce4-volstatus-icon.desktop
%{_datadir}/locale
%{_mandir}/man1/%{name}*

%files doc
%defattr(-,root,root)
%doc AUTHORS NEWS README


%changelog
* Sun Mar 08 2015 ghostbunny <ghostbunny at gmx dot de> 4.11.0-2pclos2015
- rebuild against new libxfce4util7
- add missing BR libxfce4util-devel

* Thu Apr 10 2014 ghostbunny <ghostbunny at gmx dot de> 4.11.0-1pclos2014
- 4.11.0

* Sun Oct 14 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- add BuildRequires:	%{_lib}xfce4ui-devel
- process

* Sun Oct 14 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-1pclos2012
- 4.10.0
- removed patch
- fixed files section
- fixed summary of the doc package
- added BuildRequires: %{_lib}unique-devel

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 4.8.0-2pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 4.8.0-2pclos2012
- rebuild against new xfce4 panel and libxfce4util
- added/fixed german summary and description

* Sun Jan 01 2012 Sproggy <desproggster@gmail.com> 4.8.0-1pclos2012
- update

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 4.6.1-5pclos2011
- updated for xfce4.8

* Sun Nov 14 2010 Sproggy <desproggster@gmail.com> 4.6.1-4pclos2010
- update for xfce4.8pre1

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 4.6.1-3
- gcc update

* Tue Jun 23 2009 johnnyblack <johnnyblack@inbox.com> 4.6.1-2pclos2009
- Patch0: fix panel plugin volume adjustment

* Tue Apr 21 2009 johnnyblack <johnnyblack@inbox.com> 4.6.1-1pclos2009
- 4.6.1

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 4.6.0-1pclos2007
- update

